.video-embeded-item-details-container {
  display: flex;
  flex-wrap: wrap;
  border-top: 2px solid rgba(79, 193, 233, 1);
  padding: 8px;
  .video-embeded-item-details-description,
  .video-embeded-item-dropzone-section {
    width: 100%;
  }
  .video-embeded-item-dropzone-section {
    box-sizing: border-box;
    margin-bottom: 8px;
    width: 100%;
    .video-embeded-item-dropzone {
      padding-top: 100%;
      position: relative;
      width: 100%;
      .dropzone-container {
        width: 100%;
        box-sizing: border-box;
        padding: 8px;
        position: absolute;
        left: 0;
        top: 0;
        height: 100%;
        span {
          width: 88px;
          height: 88px;
          padding: 0;
          margin: 0;
        }
      }
    }
  }
  .video-embeded-item-details-description {
    font-family: $Rubik-Font;
    font-weight: 300;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    .video-embeded-item-details-description__link_container,
    .video-embeded-item-details-description__description_container {
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      background-color: rgba(216, 216, 216, 0.12);
      overflow: hidden;
      border-radius: 4px;
      margin-bottom: 8px;
      .video-embeded-item-details-description__link_container__text_button_container,
      .video-embeded-item-details-description__link_container__link_input_container,
      .video-embeded-item-details-description__description_container__text_button_container,
      .video-embeded-item-details-description__description_container__description_input__container {
        display: flex;
        width: 100%;
        position: relative;
        height: 48px;
        box-sizing: border-box;
        padding: 0 0 0 8px;
        button {
          position: absolute;
          width: 48px;
          height: 48px;
          top: 0;
          right: 48px;
          padding: 0;
          border: 0;
          outline: 0;
          background: none;
        }
        button:last-child {
          right: 0;
          
          &:hover,
          &:active,
          &.active {
              background-color: #d8d8d8;
          }
        }
      }
      .video-embeded-item-details-description__link_container__text_button_container,
      .video-embeded-item-details-description__description_container__text_button_container {
        align-items: center;
        margin-bottom: 8px;
      }
      .video-embeded-item-details-description__link_container__link_input_container,
      .video-embeded-item-details-description__description_container__description_input__container {
        width: 100%;
        padding: 8px;
        height: 66px;
        box-sizing: border-box;
        textarea {
          width: 100%;
          resize: none;
          border: none;
          outline: none;
          height: 48px;
          padding: 0;
          font-size: 12px;
          font-family: $Rubik-Font;
          font-weight: 500;
          line-height: 16px;
          background: none;
          white-space: normal;
          overflow: hidden;
          text-overflow: ellipsis;
          transition: all 1s ease;
        }
         .valid-input {
          border-bottom: 2px solid #C9BFBF;
        }

        .invalid-input {
          border-bottom: 2px solid #DC143C;
        }
      }
    }
    .video-embeded-item-details-description__link_container.non-editable {
      .video-embeded-item-details-description__link_container__link_input_container {
        height: 48px;
        a {
          color: #4fc1e9;
          cursor: pointer;
          overflow: hidden;
          text-overflow: ellipsis;
        }
        a:hover,
        a:active {
          text-decoration: underline;
        }
      }
    }
    .video-embeded-item-details-description__description_container.non-editable {
      .video-embeded-item-details-description__description_container__description_input__container {
        p {
          font-family: $Rubik-Font;
          font-weight: 500;
          line-height: 16px;
          font-size: 12px;
          overflow: hidden;
          width: 100%;
          white-space: normal;
          text-overflow: ellipsis;
          cursor: not-allowed;
        }
      }
    }
  }
}

@media all and (min-width: 600px) {
  .video-embeded-item-details-container {
    margin: 0 24px;
    padding: 24px 0;
    flex-wrap: nowrap;
    .video-embeded-item-dropzone-section {
      order: 2;
      margin: 0;
      max-width: 350px;
    }
    .video-embeded-item-details-description {
      padding: 0 8px;
      flex-shrink: 1;
      min-width: 50%;
      align-content: flex-start;
      .video-embeded-item-details-description__link_container {
        height: 48px;
        .video-embeded-item-details-description__link_container__text_button_container {
          height: 24px;
          align-items: flex-end;
          padding-right: 96px;
          margin: 0;
          p {
            font-size: 12px;
            line-height: 14px;
            width: 100%;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
        }
        .video-embeded-item-details-description__link_container__link_input_container {
          padding: 0 96px 0 8px;
          height: 24px;
          align-items: flex-start;
          textarea {
            font-size: 14px;
            line-height: 16px;
            height: 16px;
            white-space: nowrap;
            text-overflow: ellipsis;
          }
        }
      }
      .video-embeded-item-details-description__description_container {
        min-height: calc(100% - 56px);
        margin-bottom: 0;
        .video-embeded-item-details-description__description_container__text_button_container {
          padding-right: 96px;
          margin-bottom: 0;
          p {
            font-size: 12px;
            line-height: 14px;
            width: 100%;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
        }
        .video-embeded-item-details-description__description_container__description_input__container {
          min-height: calc(100% - 48px);
          padding: 0 8px 8px 8px;
          textarea {
            height: auto;
            min-height: 100%;
            font-size: 14px;
            line-height: 16px;
            overflow: auto;
            resize: vertical;
          }
        }
      }
      .video-embeded-item-details-description__link_container.non-editable {
        .video-embeded-item-details-description__link_container__text_button_container {
          padding: 0 8px;
        }
        .video-embeded-item-details-description__link_container__link_input_container {
          padding: 0 8px;
          width: 100%;
          box-sizing: border-box;
          a {
            font-size: 14px;
            line-height: 16px;
            height: 16px;
            width: 100%;
            display: block;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
          }
        }
      }
      .video-embeded-item-details-description__description_container.non-editable {
        .video-embeded-item-details-description__description_container__text_button_container {
          padding-right: 8px;
        }
        .video-embeded-item-details-description__description_container__description_input__container {
          height: calc(100% - 48px);
          p {
            font-size: 14px;
            line-height: 16px;
            overflow: hidden;
            height: auto;
          }
        }
      }
    }
  }
}
